## org.apache.batik.dom
Class AbstractDocument.IdSoftRef

    java.lang.Object
      java.lang.ref.Reference<T>
          java.lang.ref.SoftReference
              org.apache.batik.util.CleanerThread.SoftReferenceCleared
                  org.apache.batik.dom.AbstractDocument.IdSoftRef

All Implemented Interfaces:
  CleanerThread.ReferenceCleared

Enclosing class:
  AbstractDocument

    protected class AbstractDocument.IdSoftRef

extends CleanerThread.SoftReferenceCleared

Method Summary
`void` `cleared()`
`void` `setList(java.util.List list)`

Methods inherited from class java.lang.ref.SoftReference
`get`

Methods inherited from class java.lang.ref.Reference
`clear, enqueue, isEnqueued`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setList

    public void setList(java.util.List list)

### cleared

    public void cleared()

Copyright © 2008 Apache Software Foundation. All Rights Reserved.